package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.DemFireStation;
import com.usky.fire.domain.DemHighRise;
import com.usky.fire.service.DemFireStationService;
import com.usky.fire.service.DemHighRiseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 消防站 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-03-31
 */
@RestController
@RequestMapping("/demFireStation")
public class DemFireStationController {
    @Autowired
    private DemFireStationService demFireStationService;
    /**
     * 消防站-撒点
     *
     * @param id  主键ID
     * @return
     */
    @GetMapping("demFireStationList")
    public ApiResult<List<DemFireStation>> demFireStationList(@RequestParam(value = "id", required = false) Integer id) {
        return ApiResult.success(demFireStationService.demFireStationList(id));
    }
}

